Subject: categories: Preprint: a paper on injective hulls

From: Jiri Adamek <[email-masked]>
Date: Tue, 21 Mar 2000 13:48:02 +0100 (MET)

This is to announce a paper that can be obtained as "Paper3-2000.ps"
on the address ftp://ftp.iti.cs.tu-bs.de/pub/staff/adamek

TITLE: Injective Hulls are not Natural
AUTHORS: J. Adamek, H. Herrlich, J. Rosicky and W. Tholen
ABSTRACT: In a category with injective hulls and a cogenerator, the 
embeddings into injective hulls can never form a natural transformation, 
unless all objects are injective. In particular, assigning to a field
its algebraic closure, to a poset or boolean algebra its MacNeille
completion, and to an R-module its injective envelope is not functorial, 
if one wants the respective embeddings to form a natural transformation.

xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
alternative e-mail address (in case reply key does not work):
[email-masked]
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx